Hex Artifact Content

Artifact 13b1c7bf71a8446cb685ace7169e36c571850fd8:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 5a  2...exit 1.fi..Z
00f0: 4c 49 42 56 45 52 53 3d 22 31 2e 32 2e 38 22 0a  LIBVERS="1.2.8".
0100: 53 52 43 3d 22 73 72 63 2f 7a 6c 69 62 2d 24 7b  SRC="src/zlib-${
0110: 5a 4c 49 42 56 45 52 53 7d 2e 74 61 72 2e 67 7a  ZLIBVERS}.tar.gz
0120: 22 0a 53 52 43 55 52 4c 3d 22 68 74 74 70 3a 2f  ".SRCURL="http:/
0130: 2f 73 6f 75 72 63 65 66 6f 72 67 65 2e 6e 65 74  /sourceforge.net
0140: 2f 70 72 6f 6a 65 63 74 73 2f 6c 69 62 70 6e 67  /projects/libpng
0150: 2f 66 69 6c 65 73 2f 7a 6c 69 62 2f 24 7b 5a 4c  /files/zlib/${ZL
0160: 49 42 56 45 52 53 7d 2f 7a 6c 69 62 2d 24 7b 5a  IBVERS}/zlib-${Z
0170: 4c 49 42 56 45 52 53 7d 2e 74 61 72 2e 67 7a 2f  LIBVERS}.tar.gz/
0180: 64 6f 77 6e 6c 6f 61 64 22 0a 42 55 49 4c 44 44  download".BUILDD
0190: 49 52 3d 22 24 28 70 77 64 29 2f 62 75 69 6c 64  IR="$(pwd)/build
01a0: 2f 7a 6c 69 62 2d 24 7b 5a 4c 49 42 56 45 52 53  /zlib-${ZLIBVERS
01b0: 7d 22 0a 4f 55 54 44 49 52 3d 22 24 28 70 77 64  }".OUTDIR="$(pwd
01c0: 29 2f 6f 75 74 22 0a 49 4e 53 54 44 49 52 3d 22  )/out".INSTDIR="
01d0: 24 28 70 77 64 29 2f 69 6e 73 74 22 0a 65 78 70  $(pwd)/inst".exp
01e0: 6f 72 74 20 5a 4c 49 42 56 45 52 53 20 53 52 43  ort ZLIBVERS SRC
01f0: 20 53 52 43 55 52 4c 20 42 55 49 4c 44 44 49 52   SRCURL BUILDDIR
0200: 20 4f 55 54 44 49 52 20 49 4e 53 54 44 49 52 0a   OUTDIR INSTDIR.
0210: 0a 23 20 53 65 74 20 63 6f 6e 66 69 67 75 72 65  .# Set configure
0220: 20 6f 70 74 69 6f 6e 73 20 66 6f 72 20 74 68 69   options for thi
0230: 73 20 73 75 62 2d 70 72 6f 6a 65 63 74 0a 4c 44  s sub-project.LD
0240: 46 4c 41 47 53 3d 22 24 7b 4c 44 46 4c 41 47 53  FLAGS="${LDFLAGS
0250: 7d 20 24 7b 4b 43 5f 5a 4c 49 42 5f 4c 44 46 4c  } ${KC_ZLIB_LDFL
0260: 41 47 53 7d 22 0a 43 46 4c 41 47 53 3d 22 24 7b  AGS}".CFLAGS="${
0270: 43 46 4c 41 47 53 7d 20 24 7b 4b 43 5f 5a 4c 49  CFLAGS} ${KC_ZLI
0280: 42 5f 43 46 4c 41 47 53 7d 22 0a 43 50 50 46 4c  B_CFLAGS}".CPPFL
0290: 41 47 53 3d 22 24 7b 43 50 50 46 4c 41 47 53 7d  AGS="${CPPFLAGS}
02a0: 20 24 7b 4b 43 5f 5a 4c 49 42 5f 43 50 50 46 4c   ${KC_ZLIB_CPPFL
02b0: 41 47 53 7d 22 0a 4c 49 42 53 3d 22 24 7b 4c 49  AGS}".LIBS="${LI
02c0: 42 53 7d 20 24 7b 4b 43 5f 5a 4c 49 42 5f 4c 49  BS} ${KC_ZLIB_LI
02d0: 42 53 7d 22 0a 65 78 70 6f 72 74 20 4c 44 46 4c  BS}".export LDFL
02e0: 41 47 53 20 43 46 4c 41 47 53 20 43 50 50 46 4c  AGS CFLAGS CPPFL
02f0: 41 47 53 20 4c 49 42 53 0a 0a 72 6d 20 2d 72 66  AGS LIBS..rm -rf
0300: 20 27 62 75 69 6c 64 27 20 27 6f 75 74 27 20 27   'build' 'out' '
0310: 69 6e 73 74 27 0a 6d 6b 64 69 72 20 27 62 75 69  inst'.mkdir 'bui
0320: 6c 64 27 20 27 6f 75 74 27 20 27 69 6e 73 74 27  ld' 'out' 'inst'
0330: 20 7c 7c 20 65 78 69 74 20 31 0a 0a 69 66 20 5b   || exit 1..if [
0340: 20 21 20 2d 66 20 22 24 7b 53 52 43 7d 22 20 5d   ! -f "${SRC}" ]
0350: 3b 20 74 68 65 6e 0a 09 6d 6b 64 69 72 20 27 73  ; then..mkdir 's
0360: 72 63 27 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32  rc' >/dev/null 2
0370: 3e 2f 64 65 76 2f 6e 75 6c 6c 0a 0a 09 69 66 20  >/dev/null...if 
0380: 5b 20 21 20 2d 64 20 27 62 75 69 6c 64 73 72 63  [ ! -d 'buildsrc
0390: 27 20 5d 3b 20 74 68 65 6e 0a 09 09 72 6d 20 2d  ' ]; then...rm -
03a0: 66 20 22 24 7b 53 52 43 7d 2e 74 6d 70 22 0a 09  f "${SRC}.tmp"..
03b0: 09 77 67 65 74 20 2d 4f 20 22 24 7b 53 52 43 7d  .wget -O "${SRC}
03c0: 2e 74 6d 70 22 20 22 24 7b 53 52 43 55 52 4c 7d  .tmp" "${SRCURL}
03d0: 22 20 7c 7c 20 65 78 69 74 20 31 0a 09 09 6d 76  " || exit 1...mv
03e0: 20 22 24 7b 53 52 43 7d 2e 74 6d 70 22 20 22 24   "${SRC}.tmp" "$
03f0: 7b 53 52 43 7d 22 0a 09 66 69 0a 66 69 0a 0a 28  {SRC}"..fi.fi..(
0400: 0a 09 63 64 20 27 62 75 69 6c 64 27 20 7c 7c 20  ..cd 'build' || 
0410: 65 78 69 74 20 31 0a 0a 09 69 66 20 5b 20 21 20  exit 1...if [ ! 
0420: 2d 64 20 27 2e 2e 2f 62 75 69 6c 64 73 72 63 27  -d '../buildsrc'
0430: 20 5d 3b 20 74 68 65 6e 0a 09 09 67 7a 69 70 20   ]; then...gzip 
0440: 2d 64 63 20 22 2e 2e 2f 24 7b 53 52 43 7d 22 20  -dc "../${SRC}" 
0450: 7c 20 74 61 72 20 2d 78 66 20 2d 0a 09 65 6c 73  | tar -xf -..els
0460: 65 20 20 20 20 0a 09 09 63 70 20 2d 72 70 20 2e  e    ...cp -rp .
0470: 2e 2f 62 75 69 6c 64 73 72 63 2f 2a 20 27 2e 2f  ./buildsrc/* './
0480: 27 0a 09 66 69 0a 0a 09 63 64 20 22 24 7b 42 55  '..fi...cd "${BU
0490: 49 4c 44 44 49 52 7d 22 20 7c 7c 20 65 78 69 74  ILDDIR}" || exit
04a0: 20 31 0a 0a 09 23 20 49 66 20 77 65 20 61 72 65   1...# If we are
04b0: 20 62 75 69 6c 64 69 6e 67 20 66 6f 72 20 4b 69   building for Ki
04c0: 74 44 4c 4c 2c 20 63 6f 6d 70 69 6c 65 20 77 69  tDLL, compile wi
04d0: 74 68 20 27 2d 66 50 49 43 27 0a 09 69 66 20 5b  th '-fPIC'..if [
04e0: 20 22 24 7b 4b 49 54 54 41 52 47 45 54 7d 22 20   "${KITTARGET}" 
04f0: 3d 20 22 6b 69 74 64 6c 6c 22 20 5d 3b 20 74 68  = "kitdll" ]; th
0500: 65 6e 0a 09 09 43 46 4c 41 47 53 3d 22 24 7b 43  en...CFLAGS="${C
0510: 46 4c 41 47 53 7d 20 2d 66 50 49 43 22 0a 09 09  FLAGS} -fPIC"...
0520: 65 78 70 6f 72 74 20 43 46 4c 41 47 53 0a 09 66  export CFLAGS..f
0530: 69 0a 0a 09 23 20 57 65 20 64 6f 6e 27 74 20 70  i...# We don't p
0540: 61 73 73 20 43 4f 4e 46 49 47 55 52 45 45 58 54  ass CONFIGUREEXT
0550: 52 41 20 68 65 72 65 2c 20 73 69 6e 63 65 20 74  RA here, since t
0560: 68 69 73 20 69 73 6e 27 74 20 61 20 47 4e 55 20  his isn't a GNU 
0570: 61 75 74 6f 63 6f 6e 66 0a 09 23 20 73 63 72 69  autoconf..# scri
0580: 70 74 20 61 6e 64 20 77 69 6c 6c 20 70 75 6b 65  pt and will puke
0590: 0a 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a  ..echo "Running:
05a0: 20 2e 2f 63 6f 6e 66 69 67 75 72 65 20 2d 2d 70   ./configure --p
05b0: 72 65 66 69 78 3d 5c 22 24 7b 49 4e 53 54 44 49  refix=\"${INSTDI
05c0: 52 7d 5c 22 20 2d 2d 6c 69 62 64 69 72 3d 5c 22  R}\" --libdir=\"
05d0: 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 5c 22  ${INSTDIR}/lib\"
05e0: 20 2d 2d 73 74 61 74 69 63 22 0a 09 2e 2f 63 6f   --static".../co
05f0: 6e 66 69 67 75 72 65 20 2d 2d 70 72 65 66 69 78  nfigure --prefix
0600: 3d 22 24 7b 49 4e 53 54 44 49 52 7d 22 20 2d 2d  ="${INSTDIR}" --
0610: 6c 69 62 64 69 72 3d 22 24 7b 49 4e 53 54 44 49  libdir="${INSTDI
0620: 52 7d 2f 6c 69 62 22 20 2d 2d 73 74 61 74 69 63  R}/lib" --static
0630: 0a 0a 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67  ...echo "Running
0640: 3a 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 22  : ${MAKE:-make}"
0650: 0a 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20  ..${MAKE:-make} 
0660: 7c 7c 20 65 78 69 74 20 31 0a 0a 09 65 63 68 6f  || exit 1...echo
0670: 20 22 52 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b   "Running: ${MAK
0680: 45 3a 2d 6d 61 6b 65 7d 20 69 6e 73 74 61 6c 6c  E:-make} install
0690: 22 0a 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d  "..${MAKE:-make}
06a0: 20 69 6e 73 74 61 6c 6c 0a 0a 09 23 20 57 65 20   install...# We 
06b0: 64 6f 6e 27 74 20 72 65 61 6c 6c 79 20 63 61 72  don't really car
06c0: 65 20 74 6f 6f 20 6d 75 63 68 20 61 62 6f 75 74  e too much about
06d0: 20 66 61 69 6c 75 72 65 20 69 6e 20 7a 6c 69 62   failure in zlib
06e0: 0a 09 65 78 69 74 20 30 0a 29 20 7c 7c 20 65 78  ..exit 0.) || ex
06f0: 69 74 20 31 0a 0a 65 78 69 74 20 30 0a           it 1..exit 0.